program drawtable
	version 12 
	syntax varlist(numeric) [if] [in],  ///
	BY(varname) Statistics(str) [ * ]

	marksample touse 
	markout `touse' `by', strok 
	qui count if `touse' 
	if r(N) == 0 error 2000 

	preserve 
	foreach s of local statistics {
		local call "`call'(`s') " 
		foreach v of local varlist { 
			local call "`call'`v'`s' = `v' " 
		}
	} 
	qui collapse `call', by(`by') 
	qui reshape long `varlist', i(`by') j(statistics) string 
	drop statistics
	list 
end 
